## Vektoren erzeugen

# Methode 1:
< a = vector()
# Hier können nun noch Parameter zum Vektor angegeben werden, z.B.
< a = vector("numeric", length = 4) # Erzeugt einen numerischen Vektor der Länge 4. Die einzelnen Felder sind leer.

# Methode 2: Alternativ lässt sich in diesem Kontext auch einfach die c()-Funktion nutzen
< a = c(1,2,3) # Erzeugt einen numerischen Vektor mit den Zahlen 1,2 und 3. Die Länge ist demnach auch 3.


## Zugriff auf Vektoren

# Der Zugriff funktioniert über die Indexierung. Gegeben sei folgender Vektor:
< a = c(1,2,3)
# Mit a[1] erhalten wir beispielsweise das erste Element in dem Vektor (In diesem Fall also die Zahl 1) 
> a[1]
[1] 1

## Eigenschaften von Vektoren
# Vektoren nehmen immer nur Elemente eines Datentyps auf. Gibt man bei der Erzeugung mehrere Datentypen als Parameter entgegen, erfolgt eine Umwandlung
# aller Elemente zum jeweils gerade flexibelsten Datentyp. 
# Reihenfolge: logical → integer → numeric → complex → character
# Beispiel:
> a = c(1L,2.2,TRUE,'h')
> a
[1] "1"    "2.2"  "TRUE" "h"  

## Operationen
# Numerische Vektoren ermöglichen arithmetische Operationen. Wichtig: Vektor1 muss immer mind. gleichlang, auf jedenfall aber immer ein Vielfaches
# von Vektor2 sein. Analog für komplexe und integer-Vektoren. Beispiel:
> Vektor1 = c(1,2,3)
> Vektor2 = c(4,5,6)
> Vektor1 + Vektor2
[1] 5 7 9

# Dies funktioniert jedoch nicht:
> Vektor1 = c(1,2,3)
> Vektor2 = c(4,5)
> Vektor1 + Vektor2
[1] 5 7 7
Warnmeldung:
In Vektor1 + Vektor2 : Länge des längeren Objektes
         ist kein Vielfaches der Länge des kürzeren Objektes
		 
# Logische Vektoren können nur Elemente vom Typ TRUE oder FALSE beinhalten. 
# Man kann logische Vektoren benutzen, um eine Condition auf Elemente eines anderen Vektoren anzuwenden und die Ergebnisse im logischen Vektor zu speichern.
# Beispiel:
> values = c(1,2,3,4,5)
> logical <- values > 1 & values < 5
> logical
[1] FALSE  TRUE  TRUE  TRUE FALSE

# Mit Character-Vektoren lassen sich Zeichen(ketten) abspeichern. Auch diese lassen sich bequem mit der c()-Funktion erzeugen.
		 